package com.persagy.apm.alarmservice.alarmdic.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 查询报警字典
 *
 * @author lixing
 * @version V1.0 2021/9/13 9:57 上午
 **/
@Data
@ApiModel
public class QueryAlarmDicDTO {
    @NotBlank(message = "请输入要查询的字典类型")
    @ApiModelProperty(value = "字典类型", required = true, notes = "com.persagy.apm.common.enums.AlarmDicTypeEnum")
    private String type;
}
