package com.persagy.apm.alarmservice.alarmrecord.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.common.model.vo.SimpleObjVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 查询报警记录DTO
 *
 * @author lixing
 * @version V1.0 2021/9/11 2:31 下午
 **/
@Data
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmCommentListItem {
    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "内容")
    private String content;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "创建人")
    private SimpleObjVO creator;

}
