package com.persagy.apm.alarmservice.calculatemethod.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:43:58
 */
@Data
@ApiModel(value = "创建计算方式入参")
public class AddCalculateMethodDTO {
    @ApiModelProperty(value = "计算方式名称", required = true)
    @NotNull(message = "计算方式名称不能为空") // todo 更新校验规则
    private String name;
    
    @ApiModelProperty(value = "公式", required = true)
    @NotNull(message = "公式不能为空") // todo 更新校验规则
    private String formula;
    
    @ApiModelProperty(value = "监测指标id", required = true)
    @NotNull(message = "监测指标id不能为空") // todo 更新校验规则
    private String monitorIndicatorId;
    
    @ApiModelProperty(value = "是否是指标默认计算方式", required = true)
    @NotNull(message = "是否是指标默认计算方式不能为空") // todo 更新校验规则
    private Integer isDefault;
    
}
