package com.persagy.apm.alarmservice.monitorindicator.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.common.model.vo.GraphItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 监测指标参照值
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:44:38
 */
@Data
@ApiModel()
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MonitorIndicatorReferenceItem {
    @ApiModelProperty(value = "参照值")
    private List<GraphItemVO> value;
    @ApiModelProperty(value = "操作符")
    private String operator;
    @ApiModelProperty(value = "单位")
    private String unit;
}
