package com.persagy.apm.alarmservice.project.alarmrule.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:16
 */
@Data
@ApiModel(value = "查询项目报警规则入参")
public class QueryProjectAlarmRuleDTO {
    @ApiModelProperty(value = "分组id", required = true)
    private String groupId;
    
    @ApiModelProperty(value = "报警条目编码", required = true)
    private String alarmItemCode;
    
    @ApiModelProperty(value = "报警条件id", required = true)
    private String alarmConditionId;
    
    @ApiModelProperty(value = "所属类型（0项目自定义、1集团标准）", required = true)
    private Integer belong;
    
    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;
    
}
