package com.persagy.apm.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/8 16:46
 */
@ApiModel("设备id传输实体")
@Data
public class EquipIdListDTO {

    @ApiModelProperty("设备id")
    @Size(message = "设备id传输信息过长或过短",min = 1,max = 100)
    private List<String> equipIdList;
}
