package com.persagy.apm.alarmservice.alarmcondition.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@Data
@ApiModel(value = "报警条件列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmConditionListItemVO {
    @ApiModelProperty("主键")
    private String id;
    
    @ApiModelProperty("包含的参数")
    private Object infoCodes;
    
    @ApiModelProperty("前端展示")
    private Object frontend;
    
    @ApiModelProperty("后端使用")
    private Object backend;
    
    @ApiModelProperty("触发时长")
    private Integer triggerUphold;
    
    @ApiModelProperty("报警等级")
    private String alarmLevel;
    
    @ApiModelProperty("创建人")
    private String creator;
    
    @ApiModelProperty("创建时间")
    private Date creationTime;
    
    @ApiModelProperty("修改人")
    private String modifier;
    
    @ApiModelProperty("修改时间")
    private Date modifiedTime;
    
}
