package com.persagy.apm.alarmservice.group.management.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/8 11:32
 */
@ApiModel(value = "分组树")
@Data
public class GroupTreeVO {

    @ApiModelProperty("分组id")
    private String id;

    @ApiModelProperty("分组名称")
    private String name;

    @ApiModelProperty("对象类编码")
    private String classCode;

    @ApiModelProperty("条件")
    private String condition;

    private List<GroupTreeVO> children;
}
