package com.persagy.apm.alarmservice.monitorindicator.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 查询监测指标数据记录DTO
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:44:37
 */
@Data
@ApiModel()
public class QueryMonitorIndicatorRecordInfoDTO {
    @ApiModelProperty(value = "报警记录id", required = true)
    private String alarmRecordId;
    
    @ApiModelProperty(value = "开始时间", required = true)
    private Date startTime;

    @ApiModelProperty(value = "结束时间", required = true)
    private Date endTime;
}
