package com.persagy.apm.common.method;

import com.alibaba.fastjson.JSONArray;
import com.persagy.apm.alarmservice.project.alarmruleobjrel.model.vo.ProjectVO;
import org.apache.commons.io.IOUtils;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;
import java.util.*;

/**
 * 公共方法类
 */
public class CommonMethod {
    /**
     * 获取项目
     */
    public static List<ProjectVO> getProject() {
        InputStream inputStream = CommonMethod.class.getClassLoader()
                .getResourceAsStream(File.separator + "json" + File.separator + "Project.json");
        if (inputStream == null) {
            return null;
        }
        try {
            String str = IOUtils.toString(inputStream, StandardCharsets.UTF_8);
            return JSONArray.parseArray(str, ProjectVO.class);
        } catch (IOException ioe) {
            throw new RuntimeException("json文件有误", ioe);
        }
    }


}
