package com.persagy.apm.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/8 16:46
 */
@ApiModel("设备id传输实体")
@Data
public class EquipIdDTO {

    @ApiModelProperty("设备或者分组id")
    @NotEmpty(message = "主键必填")
    private String id;
}
